<template>
	<view>
		<view class="box">
			<view class="index" :style="{ top: statusHeight + 'px' }">
				<view class="barrage">
					<!-- 中奖信息轮播 -->
					<swiper class="barrage-swiper" :interval="2000" :autoplay="true" :vertical="true" :circular="true">
						<swiper-item v-for="(item, index) in prizeNewsListOne" :key="index">
							<view class="barrage-swiper-item flex">
								<view class="barrage-swiper-item-content flex">
									<image :src="item.avatar" mode="" />
									<view class="title ells-one">{{ item.nickName }} {{ item.type == 1 ? '刮出了' : '兑换了' }} {{ item.prizeInfo }}</view>
								</view>
							</view>
						</swiper-item>
					</swiper>
				</view>
				
				<!-- 查看规则 -->
				<view class="rule">
					<view class="rule-content flex" @click="toRule">
						<image src="../../static/index/index_tip.png" mode=""></image>
						<text>查看规则</text>
					</view>
				</view>
				
				<!-- 盲票轮播 -->
				<view class="ticket">
					<swiper class="ticket-swiper" :current="ticketIndex" :autoplay="false" :circular="true" @change="changeTicket">
						<swiper-item v-for="(item, index) in ticketList" :key="index" @click="toTicketBox(item)">
							<view class="ticket-swiper-item flex">
								<image class="box" :src="item.picUrl[2]" mode="scaleToFill"></image>
								<image class="prize" :src="item.picUrl[1]" mode="scaleToFill"></image>
							</view>
						</swiper-item>
					</swiper>
				</view>
				
				<!-- 投诉建议 -->
				<view class="proposal flex">
					<view class="proposal-time flex" v-show="filterActivityList.length" @click="toActivity">
						<image src="../../static/index/index_time_top.png" mode="scaleToFill"></image>
						<view class="time">
							<u-count-down :time="activityTime" format="HH:mm:ss:SSS" autoStart millisecond></u-count-down>
						</view>
					</view>
					<view class="proposal-progress">
						<u-line-progress :percentage="percentage" height="3" :showText="false" inactiveColor="rgba(255, 255, 255, .36)" activeColor="#fff" />
					</view>
					<view class="proposal-tip" @click="contactService">
						<image src="../../static/index/index_tip_bg.png" mode=""></image>
						<text>投诉建议</text>
					</view>
				</view>
				
				<!-- 中奖概率 -->
				<view class="chance flex">
					<view class="chance-title">中奖概率:</view>
					<view class="chance-hitRate flex">
						<view class="chance-hitRate-content flex" v-for="(item, index) in ticketInfo.ticketAwardsLabelList" :key="index">
							<image :src="item.picUrl" mode="scaleToFill"></image>
							<text>{{ item.hitRate }}%</text>
						</view>
					</view>
				</view>
				
				<!-- 盲票名称轮播 -->
				<view class="ticket-title" flex>
					<swiper class="ticket-title-swiper flex" :current="ticketTitleIndex" previous-margin="110px" next-margin="110px" :autoplay="false" :circular="true" @change="changeTicketTitle">
						<swiper-item v-for="(item, index) in ticketList" :key="index">
							<view class="ticket-title-swiper-item flex" :class="{ 'action': ticketTitleIndex == index }">
								<text>{{ item.title }}</text>
							</view>
						</swiper-item>
					</swiper>
				</view>
				
				<!-- 刮开盲票 -->
				<view class="ticket-btn flex">
					<view class="ticket-btn-left flex" @click="toRollingGame">
						<image src="../../static/index/index_btn_left.png" mode="scaleToFill"></image>
						<view class="ticket-btn-left__title">试玩</view>
					</view>
					<view class="ticket-btn-center flex" @click="payment">
						<view class="image-wrap flex">
							<image class="btn" src="../../static/index/index_btn.png" mode="scaleToFill"></image>
							<image class="shadow" src="../../static/index/index_btn_shadow.png" mode="scaleToFill"></image>
						</view>
						<view class="ticket-btn-center-wrap flex">
							<view class="ticket-btn-center-wrap__title">刮开<br />盲票</view>
						</view>
					</view>
					<view class="ticket-btn-right flex" @click="toTicket">
						<view class="ticket-btn-right__image flex">
							<image src="../../static/index/index_btn_right_cir.png" mode="scaleToFill"></image>
							<image src="../../static/index/index_btn_cir_center.png" mode="scaleToFill"></image>
						</view>
						<view class="ticket-btn-right__title">更多盲票</view>
					</view>
				</view>
				
				<!-- 盲票价格 -->
				<view class="ticket-price flex">
					<view class="ticket-price-checkbox flex">
						<image src="../../static/index/index_price_checkout.png" mode="scaleToFill"></image>
					</view>
					<view class="ticket-price-amt flex">
						<view class="num">{{ $numberFormat(ticketInfo.salePrice) }}</view>
						<view class="txt">元/个</view>
					</view>
					<view class="ticket-price-discount flex">
						<view class="num">原价￥{{ $numberFormat(ticketInfo.originPrice) }}</view>
					</view>
				</view>
			</view>
			
		</view>
		<!-- tabbar组件 -->
		<custom-tab-bar :activeValue="'index'" />
		<!-- 支付弹框组件 -->
		<pay-popup :pay-show="payShow" :pay-info="payInfo" @close="close" @success="toProcess" v-if="payShow" />
		<!-- 助力邀请弹框组件 -->
		<activity-help :activity-show="activityShow" :inviteCode="inviteCode" :marketingId="marketingId" @close="close" @success="toActivity" v-if="activityShow" />
	</view>
</template>

<script>
	import env from '../../config/env.js'
	import $http from '@/utils/request.js'
	import CustomTabBar from '../../components/custom-tab-bar/custom-tab-bar.vue'
	import PayPopup from '../../components/pay-popup/pay-popup.vue'
	import ActivityHelp from '@/components/activity-help/activity-help.vue'
	export default {
		components: {
			CustomTabBar,
			PayPopup,
			ActivityHelp
		},
		data() {
			return {
				loginState: false, // 登录状态
				ticketList: [], // 盲票列表
				prizeList: [], // 奖品列表
				prizeNewsListOne: [], // 弹幕列表
				prizeNewsListTwo: [], // 弹幕列表
				payShow: false, // 支付弹框显示
				payInfo: {}, // 支付详情
				currentIndex: 0, // 盲票选中下标

				statusHeight: 20,
				ticketIndex: 0, // 盲票选中下标
				ticketTitleIndex: 0, // 盲票标题选中下边
				list: [1,2,3,4,5],
				percentage: 0,
				checkStatus: true, 
				inviteCode: '',//助力邀请码
				marketingId: '',//活动id
				activityShow: false,//助力邀请弹框
				filterActivityList: [],
				activityTime: null,
				ticketInfo: {}
			};
		},
		onLoad(opthios) {
			/**
			 * 免费活动邀请助力分享跳转接收参数
			 * inviteCode: 邀请码
			 * marketingId: 活动id
			 * */
			if (opthios.inviteCode && opthios.marketingId) {
				this.inviteCode = opthios.inviteCode
				this.marketingId = opthios.marketingId
				this.activityShow = true
			}
			
			/**
			 * 票赢天下小程序分享盲票跳转接受的参数
			 * shareUid: 用户ID
			 * shareType: 分享类型
			 * */
			if (opthios.scene) {
				let sceneStr = decodeURIComponent(opthios.scene)
				this.sceneArr = sceneStr.split('&')
				uni.setStorageSync('shareUid', this.sceneArr[0])
				uni.setStorageSync('shareType', this.sceneArr[1])
			}
			
			// #ifdef MP-WEIXIN
			const res = uni.getMenuButtonBoundingClientRect()
			this.statusHeight = res.top //胶囊距离顶部
			// #endif
			
			let num = Math.round(100 / this.list.length)
			this.percentage = num

			this.getList()
		},
		onShow(opthios) {
			this.loginState = uni.getStorageSync('token') ? true : false
			this.getPrizeNews()
			this.getActivityList()
		},
		methods: {
			// 切换盲票
			changeTicket({ detail }) {
				this.ticketIndex = detail.current
				this.ticketTitleIndex = detail.current
				this.getTicketDetail(this.ticketList[detail.current].boxId)
				this.setNum(detail.current)
			},
			
			// 切换盲票名称
			changeTicketTitle({ detail }) {
				this.ticketIndex = detail.current
				this.ticketTitleIndex = detail.current
				this.getTicketDetail(this.ticketList[detail.current].boxId)
				this.setNum(detail.current)
			},
			
			setNum(index) {
				let num = Math.round(100 / this.list.length)
				if (index == 0) {
					this.percentage = uni.$u.range(0, 100, num)
				} else if (index == this.list.length - 1) {
					this.percentage = uni.$u.range(0, 100, 100)
				} else {
					this.percentage = uni.$u.range(0, 100, num * (index + 1))
				}
			},
			
			// 投诉建议
			contactService() {
				// #ifdef MP-WEIXIN
				wx.openCustomerServiceChat({
					extInfo: {
						url: 'https://work.weixin.qq.com/kfid/kfc36c0d90028adbd24'
					},
					corpId: 'ww02da63d80c66284b',
				})
				// #endif
			},
			
			// 活动
			getActivityList() {
				$http.post(`/api/v1/mp/user/marketing/list?pageNum=${ this.pageNum }&pageSize=20`, {
					triggerStatus: 0,
				}).then(res => {
					let data = res.rows
					this.filterActivityList = data.filter(item=> {
						return JSON.parse(item.status).value == 3
					})
					let activityInfo = this.filterActivityList.length ? this.filterActivityList[0] : {}
					let timestamp = parseInt(new Date().getTime())
					this.activityTime = activityInfo.endTime - timestamp
				})
			},
			
			// 获取盲票列表
			getList() {
				uni.showLoading({
					title: '加载中'
				});
				let data = {
					categoryId: '',
					tagId: '',
					type: 'online',
					noToken: true
				}
				$http.post(`/api/v1/mp/user/mall/ticket/list?pageNum=${this.pageNum}&pageSize=100`, data).then(
					res => {
						uni.hideLoading();
						if (res.code == 0) {
							res.rows.forEach(item => item.picUrl = item.picUrl.split(',').map(item => env.filePublic + item + '?imageView2/2/w/375'))
							this.ticketList = res.rows
							this.getTicketDetail(this.ticketList[0].boxId)
						}
					}).catch(() => {
					uni.hideLoading();
				})
			},

			// 获取弹幕列表
			getPrizeNews() {
				$http.post('/api/v1/mp/user/ticket/hitPrizeBarrage', {}).then(res => {
					const {
						listOne,
						listTwo
					} = res && res.data
					listOne.forEach(item => {
						item.avatar = item.avatar ? env.filePublic + item.avatar : env.filePublic +
							'70/EJ305PQR2IBE45O9AFAI'
						item.prizeInfo = item.prizeInfo && (item.prizeInfo.length > 14) ? item.prizeInfo
							.substring(0, 15) + '...' : item.prizeInfo
					})

					listTwo.forEach(item => {
						item.avatar = item.avatar ? env.filePublic + item.avatar : env.filePublic +
							'70/EJ305PQR2IBE45O9AFAI'
						item.prizeInfo = item.prizeInfo && (item.prizeInfo.length > 14) ? item.prizeInfo
							.substring(0, 15) + '...' : item.prizeInfo
					})
					this.prizeNewsListOne = listOne
					this.prizeNewsListTwo = listTwo
				})
			},

			// 获取当前盲票的详情
			getTicketDetail(id) {
				this.prizeList = []
				$http.post('/api/v1/mp/user/mall/ticket/detail', {
					boxId: id,
					noToken: true
				}).then(res => {
					uni.hideLoading();
					if (res.code == 0) {
						this.ticketInfo = { 
							...res.data,
							ticketAwardsLabelList: res.data.ticketAwardsLabelList.map(item => {
								return { ...item, picUrl: env.filePublic + item.picUrl }
							})
						}
						this.payInfo = this.ticketList[this.ticketIndex]
					}
				}).catch(() => {
					uni.hideLoading();
				})
			},

			// 立即开刮
			payment() {
				this.payInfo = this.ticketList[this.ticketIndex]
				let data = {
					userCouponIds: [],
					autoCoupon: 1,
					boxId: this.payInfo.boxId,
					orderNum: 1
				}
				$http.post('/api/v1/mp/user/ticket/order/settle', data).then(res => {
					if (res.code == 0) {
						let info = {
							...res.data,
							...this.payInfo,
							picUrl: this.payInfo.picUrl[0],
							couponTitle: res.data && res.data.couponList && res.data.couponList.length && res
								.data.couponList[0].title,
							couponId: res.data && res.data.couponList && res.data.couponList.length && res.data
								.couponList[0].id
						}
						this.payInfo = info
						this.payShow = true
					}
				}).catch(() => {
					uni.$u.toast('开刮失败，请重试！');
				})
			},

			// 关闭支付弹框
			close() {
				this.payShow = false
				this.activityShow = false
			},

			changeList() {
				let data = {
					categoryId: '',
					tagId: '',
					type: 'online',
					noToken: true
				}
				$http.post(`/api/v1/mp/user/mall/ticket/list?pageNum=${this.pageNum}&pageSize=100`, data).then(
					res => {
						const boxIdStr = this.ticketList.map(item => item.boxId).join()
						let boxIdStrNew = res && res.rows && res.rows.map(item => item.boxId).join()
						if (boxIdStr != boxIdStrNew) {
							this.currentIndex = 0
							this.getList()
						}
					})
			},

			// 盲票向左箭头
			ticketLeft() {
				if ((this.currentIndex >= 0) && (this.currentIndex < (this.ticketList.length - 1))) {
					this.currentIndex++
				} else if (this.currentIndex == (this.ticketList.length - 1)) {
					this.currentIndex = 0
				}
				this.changeList()
			},

			// 盲票向右箭头
			ticketRight() {
				if (this.currentIndex > 0) {
					this.currentIndex--
				} else if (this.currentIndex == 0) {
					this.currentIndex = this.ticketList.length - 1
				}
				this.changeList()
			},
			
			toRollingGame() {
				uni.navigateTo({
					url: `/packagePrize/rolling/index?boxId=${ this.ticketInfo.boxId }&isTry=1`
				})
			},

			// 线上立即刮票成功，跳转到刮奖过程
			toProcess(id) {
				this.payShow = false
				uni.navigateTo({
					url: `/packagePrize/rolling/index?boxId=${ this.ticketInfo.boxId }&isTry=0`
				})
			},

			// 点击盲票，跳转盲票详情
			toTicketBox(item) {
				uni.navigateTo({
					url: `/pages/ticketBox/detail?boxId=${ item.boxId }`
				})
			},

			// 点击奖品，跳转到奖品详情
			toPrizeGoods(item) {
				if (item.prizeType == "goods") {
					uni.navigateTo({
						url: `/packagePrize/goods/detail?id=${ item.refId }`
					})
				}
				//门店优惠券
				if (item.prizeType == "coupon") {
					// if (item.couponType == "1") {
					// 	uni.navigateTo({
					// 		url: `/packagePrize/goods/detail?id=426`
					// 	})
					// }
					// if (item.couponType == "2") {
					// uni.navigateTo({
					// 	url: `/packagePrize/goods/detail?id=425`
					// })
					// }
					uni.navigateTo({
						url: `/packagePrize/goods/detail?id=425`
					})
				}
				// 盲豆
				if (item.prizeType == "coin") {
					uni.navigateTo({
						url: `/packagePrize/goods/detail?id=424`
					})
				}
			},
			
			toActivity() {
				uni.switchTab({
					url: '/pages/activity/index'
				})
			},

			// 点击所有盲票
			toTicket() {
				uni.navigateTo({
					url: '/packageGoods/ticket/index'
				})
			},

			// 点击奖品库
			toPrize() {
				if (!this.loginState) {
					uni.navigateTo({
						url: "/pages/login/index"
					})
					return
				}
				uni.navigateTo({
					url: '/packagePrize/prize/index'
				})
			},

			// 点击规则说明
			toRule() {
				uni.navigateTo({
					url: '/packageOther/rule/index'
				})
			}
		},
		onShareAppMessage(res) {
			return {
				title: '盲票，玩的就是有趣',
				path: '/pages/index/index'
			}
		}
	}
</script>

<style lang="scss" scoped>
	.status_bar {
		width: 100%;
		height: var(--status-bar-height);
	}

	/deep/ .u-tabbar__placeholder {
		display: none;
	}
</style>

<style lang="scss" scoped>
	.box {
		position: relative;
		width: 100%;
		height: calc(100vh - 50px);
		background: url(https://mp-public-1310078123.cos.ap-shanghai.myqcloud.com/v2/front_bk.png) center center no-repeat;
		background-size: 100vw calc(100vh - 50px);
		
		.index {
			position: absolute;
			width: 100%;
		}
	}

	// 中奖信息
	.barrage {
		width: 518rpx;
		height: 84rpx;
		background: linear-gradient(90deg, #FFD220, #FFF7A2);
		border-radius: 42rpx;
		margin-bottom: 16rpx;
		margin-left: 34rpx;
		
		&-swiper {
			width: 100%;
			height: 100%;
			border-radius: 42rpx;
			overflow: hidden;
			
			&-item {
				width: 100%;
				height: 100%;
				
				&-content {
					display: flex;
					align-items: center;
					width: 510rpx;
					height: 76rpx;
					
					image {
						width: 66rpx;
						height: 66rpx;
						border-radius: 50%;
						margin-right: 14rpx;
					}
					
					.title {
						flex: 1;
						font-size: 26rpx;
						font-family: PingFang SC;
						font-weight: 500;
						color: #333333;
					}
				}
			}
		}
	}
	
	// 查看规则
	.rule {
		display: flex;
		align-items: center;
		justify-content: flex-end;
		height: 34rpx;
		padding-right: 34rpx;
		margin-bottom: 24rpx;
		
		&-content {
			image {
				width: 34rpx;
				height: 34rpx;
				margin-right: 14rpx;
			}
			
			text {
				font-size: 40rpx;
				font-family: 'YouSheBiaoTiHei';
				font-weight: 400;
				color: #FFFFFF;
			}
		}
	}
	
	// 盲票
	.ticket {
		height: 36vh;
		
		&-swiper {
			height: 100%;
			
			&-item {
				position: relative;
				height: 100%;
				
				.box {
					position: absolute;
					bottom: 0;
					width: 75vw;
					height: 75%;
				}
				
				.prize {
					position: absolute;
					top: 0;
					width: 85vw;
					height: 75%;
					animation: movePrize 2s linear infinite;
				}
			}
		}
	}
	
	// 投诉建议
	.proposal {
		position: relative;
		height: 66rpx;
		margin-bottom: 30rpx;
		
		&-time {
			position: absolute;
			left: 30rpx;
			bottom: 0;
			flex-direction: column;
			align-items: flex-start;
			
			image {
				width: 140rpx;
				height: 78rpx;
				margin-bottom: 12rpx;
				animation: scaleTime 3s linear infinite;
			}
			
			.time {
				animation: moveTime 0.5s linear infinite;
				
				/deep/ .u-count-down__text {
					line-height: 30rpx;
					font-size: 30rpx;
					font-family: YouSheBiaoTiHei;
					font-weight: 400;
					color: #FFFFFF;
				}
			}
		}
		
		&-progress {
			position: absolute;
			bottom: 0;
			width: 140rpx;
		}
		
		&-tip {
			display: flex;
			align-items: center;
			position: absolute;
			right: 0;
			bottom: 0;
			width: 212rpx;
			height: 66rpx;
			
			image {
				position: absolute;
				right: 0;
				bottom: 0;
				width: 212rpx;
				height: 66rpx;
			}
			
			text {
				position: absolute;
				right: 16rpx;
				font-size: 40rpx;
				font-family: YouSheBiaoTiHei;
				font-weight: 400;
				color: #FFFFFF;
			}
		}
	}
	
	// 中奖概率
	.chance {
		justify-content: flex-start;
		height: 44rpx;
		margin: 0 34rpx 26rpx;
		background-color: rgba(000, 000, 000, .36);
		border-radius: 22rpx;
		color: #FFFFFF;
		font-family: YouSheBiaoTiHei;
		font-size: 14px;
		
		&-title {
			margin-left: 8rpx;
		}
		
		&-hitRate {
			flex: 1;
			justify-content: space-evenly;
			
			&-content {
				
				image {
					width: 56rpx;
					height: 50rpx;
				}
			}
		}
	}
	
	// 盲票名称轮播
	.ticket-title {
		height: 66rpx;
		padding: 0 34rpx;
		
		&-swiper {
			width: calc(100vw - 34px);
			height: 100%;
			
			&-item {
				height: 100%;
				background: rgba(255, 255, 255, .16);
				margin: 0 17rpx;
				color: #fff;
				font-size: 34rpx;
			}
			
			.action {
				background: #FFAE00;
				box-shadow: 0px 3px 3px 0px rgba(220, 145, 107, 0.57);
			}
		}
	}
	
	// 刮开盲票
	.ticket-btn {
		justify-content: space-between;
		height: 20vh;
		padding: 0 30rpx;
		
		&-left {
			flex-direction: column;
			
			image {
				width: 142rpx;
				height: 142rpx;
				margin-bottom: 16rpx;
			}
			
			&__title {
				line-height: 30rpx;
				font-size: 30rpx;
				font-family: YouSheBiaoTiHei;
				font-weight: 400;
				color: #FFFFFF;
			}
		}
		
		&-center {
			position: relative;
			flex-direction: column;
			height: 100%;
			
			.image-wrap {
				position: absolute;
				width: 310rpx;
				height: 90%;
				border-radius: 50%;
				overflow: hidden;
				box-shadow: 2px 2px 10px rgba(255, 189, 24, .8), -2px -2px 10px rgba(255, 189, 24, .8), 2px -2px 10px rgba(255, 189, 24, .8), -2px 2px 10px rgba(255, 189, 24, .8);
				
				.btn {
					width: 310rpx;
					height: 100%;
				}
				
				.shadow {
					position: absolute;
					width: 310rpx;
					height: 130%;
					left: 0;
					animation: shadowMove 1.5s linear infinite;
				}
			}
		
			&-wrap {
				width: 300rpx;
				position: absolute;
				animation: scaleBtn 1.5s linear infinite;
				
				&__title {
					width: 300rpx;
					text-align: center;
					font-size: 84rpx;
					font-family: YouSheBiaoTiHei;
					font-weight: 400;
					color: #FFFFFF;
					line-height: 72rpx;
					animation: shadowBtn 1.5s linear infinite;
				}
			}
		}
		
		&-right {
			flex-direction: column;
			
			&__image {
				position: relative;
				width: 142rpx;
				height: 142rpx;
				margin-bottom: 16rpx;
				
				image:first-child {
					width: 142rpx;
					height: 142rpx;
					margin-bottom: 16rpx;
				}
				
				image:last-child {
					position: absolute;
					width: 60rpx;
					height: 60rpx;
					margin-bottom: 16rpx;
				}
			}
			
			&__title {
				line-height: 30rpx;
				font-size: 30rpx;
				font-family: YouSheBiaoTiHei;
				font-weight: 400;
				color: #FFFFFF;
			}
		}
	}
	
	// 盲票价格
	.ticket-price {
		height: 44rpx;
		
		&-checkbox {
			width: 44rpx;
			height: 44rpx;
			background-color: #fff;
			border-radius: 50%;
			overflow: hidden;
			margin-right: 20rpx;
			
			image {
				width: 44rpx;
				height: 44rpx;
			}
		}
		
		&-amt {
			height: 44rpx;
			font-family: YouSheBiaoTiHei;
			font-weight: 400;
			align-items: flex-end;
			color: #FFFFFF;
			margin-right: 20rpx;
			
			.num {
				font-size: 56rpx;
				line-height: 40rpx;
			}
			
			.txt {
				line-height: 36rpx;
				font-size: 40rpx;
			}
		}
		
		&-discount {
			height: 44rpx;
			align-items: flex-end;
			
			.num {
				line-height: 24rpx;
				font-size: 24rpx;
				text-decoration: line-through;
			}
		}
	}
	
	// 奖品移动动画
	@keyframes movePrize {
		0% {
			transform: translate(0, 10px)
		}
	
		25% {
			transform: translate(0, 5px)
		}
	
		50% {
			transform: translate(0, 0px)
		}
	
		75% {
			transform: translate(0, 5px)
		}
	
		100% {
			transform: translate(0, 10px)
		}
	}
	
	// 倒计时移动动画
	@keyframes moveTime {
		0% {
			transform: translate(2px, 0)
		}
	
		25% {
			transform: translate(0, 0)
		}
	
		50% {
			transform: translate(1px, 0)
		}
	
		75% {
			transform: translate(0, 0)
		}
	
		100% {
			transform: translate(2px, 0)
		}
	}
	
	// 放大缩小动画
	@keyframes scaleTime {
		0% {
			transform: scale(1.05)
		}
	
		25% {
			transform: scale(1.02)
		}
	
		50% {
			transform: scale(0.9)
		}
	
		75% {
			transform: scale(1.02)
		}
	
		100% {
			transform: scale(1.05)
		}
	}
	
	// 刮开刮票呼吸动画
	@keyframes scaleBtn {
		0% {
			transform: scale(1.04)
		}
	
		25% {
			transform: scale(1.02)
		}
	
		50% {
			transform: scale(1)
		}
	
		75% {
			transform: scale(1.02)
		}
	
		100% {
			transform: scale(1.04)
		}
	}
	
	// 刮开刮票阴影动画
	@keyframes shadowBtn {
		0% {
			text-shadow: 2px -2px 3px #fff;
		}
	
		25% {
			text-shadow: none;
		}
	
		50% {
			text-shadow: none;
		}
		
		75% {
			text-shadow: none;
		}
	
		100% {
			text-shadow: 2px -2px 3px #fff;
		}
	}
	
	// 刮开盲票光影移动动画
	@keyframes shadowMove {
		0% {
			left: -100%;
		}
	
		100% {
			left: 110%;
		}
	}
</style>
